body{
    background: linear-gradient();
    background-color: #0B0c10;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    font-family: sans-serif;

}

.container{
    background-color: #66FCF1;
    border-radius: 16px;
    padding: 20px;
    box-shadow:10px 10px 6px #45a29E;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.title{
    font-size: 30px;
    margin-bottom: 1.5rem;
}

.stopwatch{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}


.timer{
    font-size: 40px;
    background-color:  #1F2833;
    padding: 20px;
    border-radius: 8px;
    color:  #ffffff;
    
    animation: pulse 1.5s infinite alternate;   /*  set animation */
}

@keyframes pulse{
    from{
        transform: scale(1);
    }

    to{
        transform: scale(1.05);
    }
}

.timer span{
    width: 110px;
    display: inline-block;
    text-align: center;
}

.controls{
    display: flex;
    gap: 1rem;
}

button{
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    font-weight: 600;
    background-color: #0B0c10;
    color:  #66FCF1;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
}

button:hover{
    background-color: #1F2833;
}

.lap-title{
font-size: 1.5rem;
}

.laps{
    width: 100%;
}

ul{
    list-style-type: none;
    padding: 0;
    margin: 0;
    overflow-y:auto;
    max-height: 200px;
    background-color: aliceblue;
    border-radius: 8px;
    box-shadow:  0 0 12px rgba(0, 0, 0, 0.1);
}

li{
    padding: 1rem;
    border-bottom: 1px solid white;
    color: aliceblue;
    background-color: #1F2833;
}

li:last-child{
    border-bottom: none;
}

li span{
    font-weight: 700;
}